<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@1C01A5=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time"> <comment>Not for the bonus stages</comment>
    <script state="run">
      <action>maincpu.pb@1C01A1=63</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@1C1725=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@1C0849=C0</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="on">
      <action>temp0 =maincpu.mb@006164</action>
    </script>
    <script state="run">
      <action>maincpu.mb@006164=60</action>
    </script>
    <script state="off">
      <action>maincpu.mb@006164=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Punch PL1">
    <script state="run">
      <action>maincpu.pb@1C1795=00|(maincpu.pb@1C1795 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Punch (Infinite) PL1">
    <script state="run">
      <action>maincpu.pb@1C1795=00|(maincpu.pb@1C1795 BAND ~01)</action>
      <action>maincpu.pb@1C0AF1=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Kick PL1">
    <script state="run">
      <action>maincpu.pb@1C179D=00|(maincpu.pb@1C179D BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@1C1727=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@1C084B=C0</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="on">
      <action>temp0 =maincpu.mb@0079F0</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0079F0=60</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0079F0=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Punch PL2">
    <script state="run">
      <action>maincpu.pb@1C1797=00|(maincpu.pb@1C1797 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Punch (Infinite) PL2">
    <script state="run">
      <action>maincpu.pb@1C1797=00|(maincpu.pb@1C1797 BAND ~01)</action>
      <action>maincpu.pb@1C0AF3=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Kick PL2">
    <script state="run">
      <action>maincpu.pb@1C179F=00|(maincpu.pb@1C179F BAND ~01)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
